Bug 1690184 - [3.10] Pre-allocated PV not utilized on OSP
Summary: [3.10] Pre-allocated PV not utilized on OSP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.10.z
Assignee: Tzu-Mainn Chen
QA Contact: Weihua Meng
URL:
Whiteboard:
Depends On: 1657003
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 00:31 UTC by Weihua Meng
Modified: 2019-06-11 09:31 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1657003
Environment:
Last Closed: 2019-06-11 09:30:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0786 None None None 2019-06-11 09:30:59 UTC

Comment 1 Tzu-Mainn Chen 2019-03-20 14:57:35 UTC
PR: https://github.com/openshift/openshift-ansible/pull/11376

Comment 2 Tzu-Mainn Chen 2019-03-20 21:15:03 UTC
PR merged

Comment 3 Weihua Meng 2019-03-21 10:35:00 UTC
Fixed.

openshift-ansible-3.10.129-1.git.0.7eeeb52.el7

[root@qe-wmengl6a310d2rcin-master-etcd-1 ~]# oc get pv
NAME              CAPACITY   ACCESS MODES   RECLAIM POLICY   STATUS    CLAIM                    STORAGECLASS   REASON    AGE
registry-volume   22Gi       RWO            Retain           Bound     default/registry-claim   standard                 1h
[root@qe-wmengl6a310d2rcin-master-etcd-1 ~]# oc get pvc
NAME             STATUS    VOLUME            CAPACITY   ACCESS MODES   STORAGECLASS   AGE
registry-claim   Bound     registry-volume   22Gi       RWO            standard       1h

Comment 8 Weihua Meng 2019-04-18 07:08:52 UTC
Fixed.

openshift-ansible-3.10.139-1.git.0.02bc5db.el7

# oc get pv
NAME                 CAPACITY   ACCESS MODES   RECLAIM POLICY   STATUS    CLAIM                       STORAGECLASS   REASON    AGE
regpvwmeng1-volume   19G        RWO            Retain           Bound     default/regpvwmeng1-claim   standard                 10m
# oc get pvc
NAME                STATUS    VOLUME               CAPACITY   ACCESS MODES   STORAGECLASS   AGE
regpvwmeng1-claim   Bound     regpvwmeng1-volume   19G        RWO            standard       15m

Comment 10 errata-xmlrpc 2019-06-11 09:30:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0786


Note You need to log in before you can comment on or make changes to this bug.